org.apache.maven.scm.provider.bazaar.command.add

## Class BazaarAddConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.bazaar.command.BazaarConsumer
    - - org.apache.maven.scm.provider.bazaar.command.add.BazaarAddConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class BazaarAddConsumer
    extends BazaarConsumer

Version:
  $Id: BazaarAddConsumer.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Torbjï¿½rn Eikli Smï¿½rgrav

### Constructor Summary

Constructors
Constructor and Description
`BazaarAddConsumer(ScmLogger logger, File workingDir)`

### Method Summary

Methods
`void` `doConsume(ScmFileStatus status, String trimmedLine)`
`List` `getAddedFiles()`

### Methods inherited from class org.apache.maven.scm.provider.bazaar.command.BazaarConsumer

`consumeLine, getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BazaarAddConsumer

    public BazaarAddConsumer(ScmLogger logger,
                     File workingDir)

### Method Detail

#### doConsume

    public void doConsume(ScmFileStatus status,
                 String trimmedLine)

Overrides:
  `doConsume` in class `BazaarConsumer`

#### getAddedFiles

    public List getAddedFiles()